.CalendarSidebar {
  flex-shrink: 0;

  background: #f9f9f9;
  z-index: 10;
  max-width: 350px;
  overflow: hidden;
  transition:
    width 0.5s ease,
    opacity 0.5s ease,
    margin-left 0.5s ease,
    height 0.5s ease,
    padding 0.5s ease;
  opacity: 0;
  width: 0;

  margin-left: 0;

  &.open {
    opacity: 1;
    width: 100%;
    height: 100%;
    margin-left: 10px;
    padding: 20px;
  }

  &.close {
    opacity: 0;
    width: 0;
    height: 0;
    margin-left: 0;
    padding: 0;
  }
}
.events {
  padding: 16px;
  display: flex;
  flex-direction: column;
  gap: 16px;
  background: #fff;
  margin-bottom: 24px;
}
.eventsItems {
  display: flex;
  flex-direction: column;
  gap: 10px;
}
.sidebarImputLabelRadioItem {
  display: flex;
  align-items: center;
  gap: 8px;
  cursor: pointer;
}
.sidebarImputLabelRadioItemIcon {
  width: 18px;
  height: 18px;
  display: block;
  border-radius: 5px;
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 12px;
  border: 2px solid #7f879e;
  line-height: 100%;
  color: #ffffff00;

  cursor: pointer;
  &.active {
    background: #2dad96;
    border: none;
    color: #ffffff;
  }
}
.weekEvents {
  padding: 16px;
  display: flex;
  flex-direction: column;
  gap: 16px;
  background: #fff;
}
.weekEventsItems {
  display: flex;
  flex-direction: column;
  gap: 10px;
}
.weekEventsItem {
  padding: 5px 10px;
  display: flex;
  gap: 10px;
  position: relative;
  border-radius: 10px;
  overflow: hidden;
}
.bgColorView {
  position: absolute;
  top: 0;
  left: 0;
  width: 5px;
  height: 100%;
  flex: 1;
}
@media (max-width: 1500px) {
  .CalendarSidebar {
    position: absolute;
    top: 0;
    right: 0;
  }
}
